Bug 628742 - [abrt] ipython-0.10-6.fc13: PyColorize.py:281:main:IOError: [Errno 2] No such file or directory: 'HI'
[abrt] ipython-0.10-6.fc13: PyColorize.py:281:main:IOError: [Errno 2] No such...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
abrt_hash:bbe1893b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-30 18:09 EDT by Ameya Gore
Modified: 2013-01-10 05:44 EST (History)
3 users (show)

See Also:
Fixed In Version: ipython-0.10.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 21:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (812 bytes, text/plain)
2010-08-30 18:09 EDT, Ameya Gore
no flags Details

  None (edit)
Description Ameya Gore 2010-08-30 18:09:32 EDT
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/pycolor HI
component: ipython
executable: /usr/bin/pycolor
kernel: 2.6.33.8-149.fc13.i686.PAE
package: ipython-0.10-6.fc13
reason: PyColorize.py:281:main:IOError: [Errno 2] No such file or directory: 'HI'
release: Fedora release 13 (Goddard)
time: 1283206075
uid: 500

backtrace
-----
PyColorize.py:281:main:IOError: [Errno 2] No such file or directory: 'HI'

Traceback (most recent call last):
  File "/usr/bin/pycolor", line 6, in <module>
    IPython.PyColorize.main()
  File "/usr/lib/python2.6/site-packages/IPython/PyColorize.py", line 281, in main
    stream = file(fname)
IOError: [Errno 2] No such file or directory: 'HI'

Local variables in innermost frame:
parser: <optparse.OptionParser instance at 0x84331ac>
usage_msg: '%prog [options] [filename]\n\nColorize a python file or stdin using ANSI color escapes and print to stdout.\nIf no filename is given, or if filename is -, read standard input.'
args: ['HI']
argv: None
fname: 'HI'
opts: <Values at 0x85c6d6c: {'scheme_name': 'Linux'}>
newopt: <bound method OptionParser.add_option of <optparse.OptionParser instance at 0x84331ac>>

comment
-----
$man pycolor
$pycolor
ctrl-c
$pycolor "HI"

How to reproduce
-----
1. $pycolor "HI"
2.
3.
Comment 1 Ameya Gore 2010-08-30 18:09:34 EDT
Created an attachment (id=442046)
File: backtrace
Comment 2 Thomas Spura 2010-08-31 08:15:46 EDT
Thanks for the bug report.

This is now fixed at github and waiting for inclusion upstream at:
http://github.com/tomspur/ipython/commit/3323d576db9f982be1ef6d66f7b9e0d0d6fef7db

I'll backport the fix soon for f13.

New output in your example:
$ pycolor "HI"
[Errno 2] No such file or directory: 'HI'
Comment 3 Fedora Update System 2010-08-31 09:08:38 EDT
ipython-0.10-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ipython-0.10-8.fc14
Comment 4 Fedora Update System 2010-08-31 09:26:27 EDT
ipython-0.10-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ipython-0.10-8.fc13
Comment 5 Fedora Update System 2010-08-31 23:24:39 EDT
ipython-0.10-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipython'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ipython-0.10-8.fc13
Comment 6 Fedora Update System 2010-09-08 00:39:24 EDT
ipython-0.10-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-09-08 21:24:46 EDT
ipython-0.10-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-11-14 21:29:46 EST
ipython-0.10.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ipython-0.10.1-3.fc14
Comment 9 Fedora Update System 2010-11-14 21:38:15 EST
ipython-0.10.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ipython-0.10.1-3.fc13
Comment 10 Fedora Update System 2010-11-23 16:49:04 EST
ipython-0.10.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-11-23 16:59:54 EST
ipython-0.10.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.